_wmp = WMPEmbed.object;
var playing = true;
var volume_value = 50;
_wmp.url = GADGET_URL;

function plus_onclick() {
	if(volume_value != null) {
		if(volume_value < 100) {
			volume_value = volume_value + 10;
			_wmp.settings.volume = volume_value;
			vol_state.src = "images\\volume_" + volume_value + ".png";
			vol_state.tooltip = volume_value + " percent";
			if(volume_value > 0)
				sound_state.src = "images\\btnSound.png";
		}
	}
}

function minus_onclick() {
	if(volume_value != null) {
		if(volume_value > 0) {
			volume_value = volume_value - 10;
			_wmp.settings.volume = volume_value;
			vol_state.src = "images\\volume_" + volume_value + ".png";
			vol_state.tooltip = volume_value + " percent";
			if(volume_value == 0)
				sound_state.src = "images\\btnMute.png";
		}
	}
}

function view_onOpen() {
  debug.trace("%GADGET_URL%");
	view.setInterval(displayStatus, 1000);
}

function displayStatus() {
	if(_wmp.playState == 0)
		status_message.innerText = "Undefined";
	else if(_wmp.playState == 1)
		status_message.innerText = "Stopped";
	else if(_wmp.playState == 2)
		status_message.innerText = "Paused";
	else if(_wmp.playState == 3)
		status_message.innerText = "Playing";
	else if(_wmp.playState == 4)
		status_message.innerText = "ScanForward";
	else if(_wmp.playState == 5)
		status_message.innerText = "ScanReverse";
	else if(_wmp.playState == 6)
		status_message.innerText = "Buffering";
	else if(_wmp.playState == 7)
		status_message.innerText = "Waiting";
	else if(_wmp.playState == 8)
		status_message.innerText = "MediaEnded";
	else if(_wmp.playState == 9)
		status_message.innerText = "Transitioning";
	else if(_wmp.playState == 10)
		status_message.innerText = "Ready";
	else if(_wmp.playState == 11)
		status_message.innerText = "Reconnecting";
}

function play_onclick() {
	_wmp.controls.play();
	playing = false;
	play.visible = false;
	play.enabled = false;
	stop.visible = true;
	stop.enabled = true;
}

function stop_onclick() {
	_wmp.controls.stop();
	playing = true;
	play.visible = true;
	play.enabled = true;
	stop.visible = false;
	stop.enabled = false;
}

/* volume control helper method */
function volume_onchange() {
	if( _wmp == null ) return;
	_wmp.settings.volume = volume.value;
}